Package ghidra.util.layout

# Class ColumnLayout

java.lang.Object
ghidra.util.layout.ColumnLayout

All Implemented Interfaces:
  `LayoutManager`

public class ColumnLayout extends Object implements LayoutManager
This layout arranges components in columns, putting as many components as possible in a column and using as many columns as necessary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnLayout(int hgap, int vgap, int preferredNumCols)`
  Constructs a new ColumnLayout

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  `void`
  `layoutContainer(Container parent)`
  `Dimension`
  `minimumLayoutSize(Container parent)`
  `Dimension`
  `preferredLayoutSize(Container parent)`
  `void`
  `removeLayoutComponent(Component comp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColumnLayout

    public ColumnLayout(int hgap, int vgap, int preferredNumCols)
    Constructs a new ColumnLayout
    Parameters:
      `hgap` - the gap (in pixels) between columns
      `vgap` - the gap (in pixels) between rows
      `preferredNumCols` - the prefered number of columns to use in the layout.

- ## Method Details

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.addLayoutComponent(String, Component)`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.removeLayoutComponent(Component)`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.preferredLayoutSize(Container)`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.minimumLayoutSize(Container)`

  - ### layoutContainer

    public void layoutContainer(Container parent)
    Specified by:
      `layoutContainer` in interface `LayoutManager`
    See Also:
      - `LayoutManager.layoutContainer(Container)`